import request from '@/utils/request';

export function checkDeptAll(params){
  return request({
    url: '/workstudy/money/checkDeptAll',
    method: 'get',
    params
  })
}

export function delMoneyExtra(id){
  return request({
    url: '/workstudy/money/delMoneyExtra/' + id,
    method: 'post'
  })
}

export function addMoneyExtra(data){
  return request({
    url: '/workstudy/money/addMoneyExtra',
    method: 'post',
    data: data
  })
}


export function zzbOneClickAudit(){
  return request({
    url: '/workstudy/money/zzbOneClickAudit',
    method: 'post'
  
  })
}

export function oneClickAudit(){
  return request({
    url: '/workstudy/money/oneClickAudit',
    method: 'post'
  
  })
}

export function zzbldEdit(data) {
  return request({
    url: '/workstudy/money/zzbldEdit',
    method: 'post',
    data: data
  })
}


export function zzbldAdd(data) {
  return request({
    url: '/workstudy/money/zzbldAdd',
    method: 'post',
    data: data
  })
}


export function doReply(data) {
  return request({
    url: '/workstudy/money/doReply',
    method: 'post',
    data: data
  })
}


export function listCount() {
  return request({
    url: '/workstudy/money/listCount',
    method: 'get'
  })
}


export function finalDeptAuditUnPass(data) {
  return request({
    url: '/workstudy/money/finalDeptAuditUnPass',
    method: 'post',
    data
  })
}


export function finalDeptAuditPass(data) {
  return request({
    url: '/workstudy/money/finalDeptAuditPass',
    method: 'post',
    data
  })
}


export function highDeptAuditUnPass(data) {
  return request({
    url: '/workstudy/money/highDeptAuditUnPass',
    method: 'post',
    data
  })
}


export function highDeptAuditPass(data) {
  return request({
    url: '/workstudy/money/highDeptAuditPass',
    method: 'post',
    data
  })
}

export function listFinalAuditByDept() {
  return request({
    url: '/workstudy/money/listFinalAuditByDept',
    method: 'get'
  })
}


export function listHighAuditByDept() {
  return request({
    url: '/workstudy/money/listHighAuditByDept',
    method: 'get'
  })
}



//批量填报
export function doMany(stuPostIds,month) {
  return request({
    url: '/workstudy/money/doMany',
    method: 'post',
    data:{
      stuPostIds,month
    }
  })
}

export function countUnMoney() {
  return request({
    url: '/workstudy/money/countUnMoney',
    method: 'get'
  })
}

export function manyAudit(data) {
  return request({
    url: '/workstudy/money/manyAudit',
    method: 'post',
    data: data
  })
}

export function listStu(query) {
  return request({
    url: '/workstudy/money/listStu',
    method: 'get',
    params: query
  })
}

export function listAll(query) {
  return request({
    url: '/workstudy/money/listAll',
    method: 'get',
    params: query
  })
}


export function listFinal(query) {
  return request({
    url: '/workstudy/money/listFinal',
    method: 'get',
    params: query
  })
}

export function listHigh(query) {
  return request({
    url: '/workstudy/money/listHigh',
    method: 'get',
    params: query
  })
}

export function listDeptAll(query) {
  return request({
    url: '/workstudy/money/listDeptAll',
    method: 'get',
    params: query
  })
}

export function doAudit(data) {
  return request({
    url: '/workstudy/money/doAudit',
    method: 'post',
    data: data
  })
}


export function listDept(query) {
  return request({
    url: '/workstudy/money/listDept',
    method: 'get',
    params: query
  })
}

export function cancelApply(id) {
  return request({
    url: '/workstudy/money/cancelApply/' + id,
    method: 'post'
  })
}

export function listOwnApply(query) {
  return request({
    url: '/workstudy/money/listOwnApply',
    method: 'get',
    params: query
  })
}

export function doApply(data) {
  return request({
    url: '/workstudy/money/doApply',
    method: 'post',
    data: data
  })
}

// 查询勤工助学薪资填报列表
export function listMoney(query) {
  return request({
    url: '/workstudy/money/list',
    method: 'get',
    params: query
  })
}

// 查询勤工助学薪资填报详细
export function getMoney(id) {
  return request({
    url: '/workstudy/money/' + id,
    method: 'get'
  })
}

// 新增勤工助学薪资填报
export function addMoney(data) {
  return request({
    url: '/workstudy/money/add',
    method: 'post',
    data: data
  })
}

// 修改勤工助学薪资填报
export function updateMoney(data) {
  return request({
    url: '/workstudy/money/update',
    method: 'post',
    data: data
  })
}

// 删除勤工助学薪资填报
export function delMoney(id) {
  return request({
    url: '/workstudy/money/' + id,
    method: 'post'
  })
}
